Name:           perl-PBS
Version:        0.33
Release:        10%{?dist}
Summary:        Perl binding for the Portable Batch System client library

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://www-rcf.usc.edu/~garrick/perl-PBS/
Source0:        http://www-rcf.usc.edu/~garrick/perl-PBS/perl-PBS-%{version}.tar.gz
Patch0:         perl-PBS-0.33-obsolete.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtorque-devel

%if 0%{?rhel} >= 6 || 0%{?fedora} >= 12 
BuildRequires: perl-devel
%endif

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a Perl binding for the Portable Batch System client library (as from
TORQUE or OpenPBS).  This allows you to stat the server, nodes, or jobs, submit
jobs, alter jobs, etc.

Specifically, the ifl, rpp, and rm APIs are implemented here.


%package -n pbstop
Summary: Full-screen curses monitor for PBS
Group: Applications/System
Version: 4.16

# torque-client is needed for pbs_iff
Requires: torque-client

# this isn't picked up by autoreq because it is eval'd in a BEGIN block
Requires: perl(PBS)

%description -n pbstop
A highly useful way to monitor your cluster in a terminal window.


%prep
%setup -q
%patch0 -p1 -b .obsolete

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

chmod ugo-x demos/*

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE Artistic demos CHANGELOG
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/PBS
%{perl_vendorarch}/PBS.pm
%{_mandir}/man3/*.3*

%files -n pbstop
%defattr(-,root,root,-)
%{_mandir}/man1/*.1*
%{_bindir}/pbstop


%changelog
* Tue Aug 10 2010 Steve Traylen <steve.traylen@cern.ch> - 0.33-10
- Adjust perl-devel BR to build on .el4 and .el5 as well.

* Tue Jun 22 2010 Petr Pisar <ppisar@redhat.com> - 0.33-9
- Rebuild against libtorque-2.4.8

* Wed Jun 02 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.33-8
- remove obsolete functions no longer in torque

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.33-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.33-6
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.33-3
Rebuild for new perl

* Thu Feb 14 2008 Garrick Staples <garrick@usc.edu> 0.33-2
- rebuilding for fedora9

* Wed Oct  3 2007 Garrick Staples <garrick@usc.edu> 0.33-1
- bump to 0.33, pbstop to 4.16

* Fri Sep  8 2006 Garrick Staples <garrick@usc.edu> 0.31-3
- previous build is mysteriously missing from devel repo

* Sun Aug 27 2006 Garrick Staples <garrick@usc.edu> 0.31-2
- FC6 mass rebuild

* Wed Apr 19 2006 Garrick Staples <garrick@usc.edu> 0.31-1
- Initial spec file
